Skip to main content

Updates SRV records for a specific zone

PUT/v2/dns/zones/{zoneId}/recordset/srv
API version
v2
Request method
PUT
Operation ID
deprecated-dns-record-srv-set

Request​

  • zoneIdstring (uuid)required

    the id of the zone the record belongs to

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/dns/zones/f0f86186-0a5a-45b2-aa33-502777496347/recordset/srv
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.deprecatedDnsRecordSrvSet({
"zoneId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDnsRecordSrvSet\DeprecatedDnsRecordSrvSetRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDnsRecordSrvSet\DeprecatedDnsRecordSrvSetRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedDnsRecordSrvSetRequestBody to learn how to construct a valid instance
$body = new DeprecatedDnsRecordSrvSetRequestBody(/* TODO: ... */);

$request = (new DeprecatedDnsRecordSrvSetRequest(
zoneId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->domain()->deprecatedDnsRecordSrvSet($request);

var_dump($response->getBody();

On this page